VisualContainerBean (install4j API)
Description: declaration: package: com.install4j.api.beans, interface: VisualContainerBean

Package com.install4j.api.beans

# Interface VisualContainerBean

All Superinterfaces:
  `Bean`

All Known Subinterfaces:
  `InstallerScreen`, `Screen`, `Style`, `UninstallerScreen`

All Known Implementing Classes:
  `AbstractInstallerOrUninstallerScreen`, `AbstractInstallerScreen`, `AbstractStyle`, `AbstractUninstallerScreen`, `WrapperStyle`

public interface VisualContainerBean extends Bean
Implemented by beans that contain visual components.

See Also:
  - `Screen`
  - `Style`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Anchor`
  `getAnchor()`
  Returns the position where the visual component should be anchored.
  `boolean`
  `isFillHorizontal()`
  Returns whether the visual component wants to grow in the horizontal direction.
  `boolean`
  `isFillVertical()`
  Returns whether the visual component wants to grow in the vertical direction.

- ## Method Details

  - ### isFillVertical

    boolean isFillVertical()
    Returns whether the visual component wants to grow in the vertical direction. If not, the visual component will be aligned at the top of the available space and be sized at its preferred vertical size. If, for example, you have a list in your layout that should use as much vertical space as possible, you should return `true` here. In that case you would also want to return `true` in `isFillHorizontal`. If all your components are fixed-size components, return `false`.

    In console or unattended mode, this method is never called.

    Returns:
      `true` or `false`.
    See Also:
      - `isFillHorizontal()`

  - ### isFillHorizontal

    boolean isFillHorizontal()
    Returns whether the visual component wants to grow in the horizontal direction. If not, the visual component will be aligned at the left of the available space and be sized at its preferred horizontal size. If, for example, you have text fields in your layout that should use as much horizontal space as possible, you should return `true` here. If all your components are fixed-size components, return `false`.

    In console or unattended mode, this method is never called.

    Returns:
      `true` or `false`.
    See Also:
      - `isFillVertical()`

  - ### getAnchor

    Anchor getAnchor()
    Returns the position where the visual component should be anchored. The effect of this value is linked to the return values of `isFillHorizontal()` and `isFillVertical()`:
    - If both `isFillHorizontal()` and `isFillVertical()` return false, all anchor values have distinct effects.
    - If only `isFillHorizontal()` returns true, only the vertical part of the anchor is used.
    - If only `isFillVertical()` returns true, only the horizontal part of the anchor is used.
    - If both `isFillHorizontal()` and `isFillVertical()` return true, this value has no effect.
    Returns:
      the anchor